List payments
curl --request GET \
--url https://api.aura-app.ai/v1/paymentsimport requests
url = "https://api.aura-app.ai/v1/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aura-app.ai/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/payments"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aura-app.ai/v1/payments")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"amount": 5000,
"call_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "usd",
"customer_email": "<string>",
"customer_name": "<string>",
"id": "550e8400-e29b-41d4-a716-446655440000",
"lead_id": "<string>",
"match_candidates": [
{
"confidence": 0.7,
"email": "<string>",
"lead_id": "<string>",
"name": "<string>",
"reason": "email_exact"
}
],
"match_confidence": 123,
"matched_by": "<string>",
"matched_product_id": "<string>",
"organization_id": "<string>",
"payment_date": "2023-11-07T05:31:56Z",
"provider": "stripe",
"provider_payment_id": "pi_xxxxx",
"refund_reason": "<string>",
"refund_status": "<string>",
"refunded_amount": 123,
"refunded_at": "2023-11-07T05:31:56Z",
"status": "succeeded",
"stripe_charge_id": "<string>",
"stripe_customer_id": "<string>",
"stripe_product_id": "<string>",
"stripe_refund_id": "<string>",
"stripe_subscription_id": "<string>",
"verification_status": "confirmed",
"verified_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Payments
List payments
Retrieve a paginated list of payments for your organization.
Use Cases:
- Track commission-eligible payments
- Export payment data for accounting
- Display payment history in dashboards
Filtering:
- Filter by status (succeeded, pending, failed, refunded)
- Filter by lead
- Filter by date range
GET
/
v1
/
payments
List payments
curl --request GET \
--url https://api.aura-app.ai/v1/paymentsimport requests
url = "https://api.aura-app.ai/v1/payments"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aura-app.ai/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/payments"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aura-app.ai/v1/payments")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": [
{
"amount": 5000,
"call_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "usd",
"customer_email": "<string>",
"customer_name": "<string>",
"id": "550e8400-e29b-41d4-a716-446655440000",
"lead_id": "<string>",
"match_candidates": [
{
"confidence": 0.7,
"email": "<string>",
"lead_id": "<string>",
"name": "<string>",
"reason": "email_exact"
}
],
"match_confidence": 123,
"matched_by": "<string>",
"matched_product_id": "<string>",
"organization_id": "<string>",
"payment_date": "2023-11-07T05:31:56Z",
"provider": "stripe",
"provider_payment_id": "pi_xxxxx",
"refund_reason": "<string>",
"refund_status": "<string>",
"refunded_amount": 123,
"refunded_at": "2023-11-07T05:31:56Z",
"status": "succeeded",
"stripe_charge_id": "<string>",
"stripe_customer_id": "<string>",
"stripe_product_id": "<string>",
"stripe_refund_id": "<string>",
"stripe_subscription_id": "<string>",
"verification_status": "confirmed",
"verified_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Retrieve a paginated list of payments for your organization.
Use Cases:
- Track commission-eligible payments
- Export payment data for accounting
- Display payment history in dashboards
- Filter by status (succeeded, pending, failed, refunded)
- Filter by lead
- Filter by date range
Query Parameters
Number of results per page (1-100, values outside clamp)
Example:
50
Cursor for pagination
Filter by payment status
Example:
"succeeded"
Filter by lead ID
Filter payments from this date
Filter payments until this date